Mintinstall doesn't work

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
satsriakal
Level 1
Level 1
Posts: 32
Joined: Mon Jan 12, 2015 2:23 pm

Mintinstall doesn't work

Post by satsriakal » Sat Jun 02, 2018 10:32 am

Hi Everybody,

Linux Mint 18
unluckily since a few days, mintinstall isn't working and MintUpdate icon has disappeared.
If I launch mintinstall I get these messages:

import gtk
File "/usr/lib/python2.7/dist-packages/gtk-2.0/gtk/__init__.py", line 40, in <module>
from gtk import _gtk
ImportError: /usr/lib/x86_64-linux-gnu/libharfbuzz.so.0: undefined symbol: FT_Reference_Face

I suppose the problem depends on last updates.
What can I do in order to solve the problem?
Best regards
Beppe

satsriakal
Level 1
Level 1
Posts: 32
Joined: Mon Jan 12, 2015 2:23 pm

Re: Mintinstall doesn't work

Post by satsriakal » Sun Jun 03, 2018 10:59 am

Hi everybody,

beyond what I stated before I realized VLC software isn't working as well and I can't change software repositories.
Can someone give me a help?

User avatar
thx-1138
Level 5
Level 5
Posts: 937
Joined: Fri Mar 10, 2017 12:15 pm
Location: Athens, Greece

Re: Mintinstall doesn't work

Post by thx-1138 » Sun Jun 03, 2018 11:33 am

...for starters, try: sudo apt-get install libfreetype6 libharfbuzz0b
Something that you've installed / uninstalled recently has messed up with core libraries...

Similar thread... viewtopic.php?t=238712

satsriakal
Level 1
Level 1
Posts: 32
Joined: Mon Jan 12, 2015 2:23 pm

Re: Mintinstall doesn't work

Post by satsriakal » Sun Jun 03, 2018 1:45 pm

Thanks a lot for your answer.
I tried: sudo apt-get install libfreetype6 libharfbuzz0b
and I got:

Reading package lists... Done
Building dependency tree
Reading state information... Done
libfreetype6 is already the newest version (2.6.1-0.1ubuntu2.3).
libharfbuzz0b is already the newest version (1.0.1-1ubuntu0.1).
0 to upgrade, 0 to newly install, 0 to remove and 0 not to upgrade.

I read the thread you told me, but I can't understand how to proceed.
Is there any way to restore old version of libfreetype6?
The problem should be linked to recent updates.

Best regards
Beppe

User avatar
thx-1138
Level 5
Level 5
Posts: 937
Joined: Fri Mar 10, 2017 12:15 pm
Location: Athens, Greece

Re: Mintinstall doesn't work

Post by thx-1138 » Sun Jun 03, 2018 2:45 pm

The problem should be linked to recent updates.
...have you installed and/or removed anything Python-related (or any software outside the official repos, eg. say from a PPA that might have messed with Python)? Because i can't really think of something else...
If the above is the result from an unofficial PPA package, your best bet i assume would be to use ppa-purge...

satsriakal
Level 1
Level 1
Posts: 32
Joined: Mon Jan 12, 2015 2:23 pm

Re: Mintinstall doesn't work

Post by satsriakal » Sun Jun 03, 2018 6:40 pm

Could you please tell me what should I do exactly?
Thanks a lot

satsriakal
Level 1
Level 1
Posts: 32
Joined: Mon Jan 12, 2015 2:23 pm

Re: Mintinstall doesn't work

Post by satsriakal » Mon Jun 04, 2018 4:46 pm

I've not been able to solve the problem yet. Any idea?

lmuserx4849
Level 5
Level 5
Posts: 788
Joined: Wed Dec 17, 2014 2:55 am

Re: Mintinstall doesn't work

Post by lmuserx4849 » Sat Jun 23, 2018 2:24 am

I use any of these to find what was installed last:

- Update Manager > View > History of Updates
- Synaptic Manger > File > History
- grep ' installed ' /var/log/dpkg.log

NOTE: I update logrotate to not delete dpkg.log, but rather archive it. These files show what has happened to your system over time (minus all the other ways to install software ;-)) and aren't that big. Installing software should be an infrequent event. So I can do:
- zgrep ' installed ' /var/log/dpkg.log* | grep freetype

In the LM Forum link provided above, the user said they had installed freetype, and uninstalling it fixed his problem. The "FT_Reference_Face" in the messages would indicate freetype.

If I do dpkg -l '*freetype*' and from there apt-cache rdepends --installed libfreetype6, there are lots of applications dependent on freetype, including vlc. Not saying it is freetype, but it is highly suspect.

> I suppose the problem depends on last updates.
> What can I do in order to solve the problem?

1. Undo what you did or restore from backup.
2. Tell the forum what the last updates were.

Post Reply

Return to “Software & Applications”